package com.jugendmedia.ld25;

import org.newdawn.slick.Image;

public class Blueboy extends Hero {

	@Override
	public int getFight() {
		return 8;
	}

	@Override
	public int getAvoid() {
		return 10;
	}

	@Override
	public int getInitHealth() {
		return 3;
	}

	@Override
	public Image getProgImage() {
		return GfxDepo.progBlueboy;
	}

	@Override
	public int resolveEncounter(Minion min) {
		switch(min.getType()){
		case Minion.ROCKY:
			return resolveByAvoid(min);
		default:
			return resolveByFight(min);
		}
	}

	@Override
	public String getAnimName() {
		return "BLUEBOY";
	}
	@Override
	public int getValue(){
		return 10;
	}

}
