package com.jugendmedia.ld25;

import org.newdawn.slick.Image;
import org.newdawn.slick.SlickException;

public class GfxDepo {
	public static Image statBar;
	public static Image portraitBlack;
	public static Image portraitGrumpy;
	public static Image portraitCooper;
	public static Image portraitRocky;
	public static Image portraitExit;
	public static Image crossedOut;
	public static Image buy;
	public static Image buyGrey;
	public static Image splasher;
	public static Image progBlueboy;
	public static Image progSchmario;
	public static Image schmarioOne;
	public static Image defeatOne;
	public static Image utterDefeat;
	public static Image victory;
	
	
	
	public static void init(){
		if(statBar == null){
			try {
				statBar = new Image("statbar.png");
				statBar.setFilter(Image.FILTER_NEAREST);
				portraitBlack = new Image("portrait_black.png");
				portraitBlack.setFilter(Image.FILTER_NEAREST);
				portraitGrumpy = new Image("portrait_grumpy.png");
				portraitGrumpy.setFilter(Image.FILTER_NEAREST);
				portraitCooper = new Image("portrait_cooper.png");
				portraitCooper.setFilter(Image.FILTER_NEAREST);		
				portraitRocky = new Image("portrait_rocky.png");
				portraitRocky.setFilter(Image.FILTER_NEAREST);		
				portraitExit = new Image("portrait_exit.png");
				portraitExit.setFilter(Image.FILTER_NEAREST);
				crossedOut = new Image("crossedout.png");
				crossedOut.setFilter(Image.FILTER_NEAREST);
				buy = new Image("buy.png");
				buy.setFilter(Image.FILTER_NEAREST);
				buyGrey = new Image("buy_grey.png");
				buyGrey.setFilter(Image.FILTER_NEAREST);
				splasher = new Image("splasher.png");
				splasher.setFilter(Image.FILTER_NEAREST);
				progBlueboy = new Image("prog_plueboy.png");
				progBlueboy.setFilter(Image.FILTER_NEAREST);
				progSchmario = new Image("prog_schmario.png");
				progSchmario.setFilter(Image.FILTER_NEAREST);
				schmarioOne = new Image("schmarioOne.png");
				schmarioOne.setFilter(Image.FILTER_NEAREST);	
				defeatOne = new Image("defeat1.png");
				defeatOne.setFilter(Image.FILTER_NEAREST);
				utterDefeat = new Image("utterDefeat.png");
				utterDefeat.setFilter(Image.FILTER_NEAREST);
				
				victory = new Image("victory.png");
				victory.setFilter(Image.FILTER_NEAREST);

			} catch (SlickException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
	}
}
