package com.jugendmedia.ld25;

import org.newdawn.slick.Image;

public class Slot implements ImThereListener{
	private Minion minion;
	private boolean defeated;
	private Castle home;
	public Slot(Castle myHome){
		home=myHome;
	}
	public Minion getMinion() {
		return minion;
	}
	public void setMinion(Minion minion){
		this.minion = minion;
		defeated = false;
	}
	public Image getProgImage(){
		return minion.getProgImage();
	}
	public boolean isEmpty(){
		return minion==null;
	}
	public void defeat() {
		if(minion.getType()==Minion.GRUMPY){
			Mover freshMeat = new Mover("GRUMPY",this,null);
			freshMeat.start(WorldMap.getInstance().getGrumpyX()*40+20, WorldMap.getInstance().getGrumpyY()*40+20, home.getX(), home.getY());
		}else if(minion.getType()==Minion.COOPER){
			Mover freshMeat = new Mover("COOPER",this,null);
			freshMeat.start(WorldMap.getInstance().getCooperX()*40+20, WorldMap.getInstance().getCooperY()*40+20, home.getX(), home.getY());
		}
		
		defeated = true;
		
	}
	public boolean isDefeated(){
		return defeated;
	}
	public void respawn(){
		defeated = false;
	}
	@Override
	public void ImThere(Object obj) {
		respawn();
		
	}
	
}
