package com.jugendmedia.ld25;

import java.util.ArrayList;
import java.util.List;

public class Wave {
	private static final String[] time = new String[2];
	private static final String[] wave = new String[2];
	
	static{
		time[0]="11111411111411111411112";
		wave[0]="00000000000000001000012";
		time[1]="111112222224111114212121411111111114111111112";
		wave[1]="010011111111111111010101100011111114111111112";
		
	}
	
	private boolean done = false;

	private long[] times;
	
	private long elapsed=0;
	private int sending = 0;
	private String theWave;
	private String theTimes;
	public Wave(int level){
		this.theWave = wave[level];
		this.theTimes = time[level];
		times = new long[theWave.length()];
		int totalTime=0;
		for(int i=0;i<(theWave.length());i++){
			int addTime=2000;
			if(theTimes.charAt(i)=='1'){
				addTime=2000;
			}else if(theTimes.charAt(i)=='2'){
				addTime=4000;

			}else if(theTimes.charAt(i)=='3'){
				addTime=6000;

			}else if(theTimes.charAt(i)=='4'){
				addTime=20000;
			}
			totalTime += addTime;
			times[i]=totalTime;
			
			
		}
	}
	
	public void update(int dt){
		if(!done){
			elapsed+=dt;
			if(elapsed>times[sending]){
				Hero h = HeroFactory.createHero(Integer.parseInt(""+theWave.charAt(sending)));
				Mover m = new Mover(h.getAnimName(), WorldMap.getInstance().getFirstWaypoint(), h);
				m.start(WorldMap.getInstance().getStartX()*40, WorldMap.getInstance().getStartY()*40, WorldMap.getInstance().getFirstWaypoint().getX(), WorldMap.getInstance().getFirstWaypoint().getY());
				sending++;
			}
			
			if(sending==times.length){
				done=true;
			}
		}
		
	}
	
	
}
