package com.jugendmedia.ld25;

public class HeroFactory {
	public static final int MUSHBOY = 0;
	public static final int BLUEBOY = 1;
	public static final int SCHMARIO = 2;
	public static Hero createHero(int type){
		switch(type){
		case MUSHBOY:
			return new MushroomBoy();
		case BLUEBOY:
			return new Blueboy();
		case SCHMARIO:
			return new Schmario();
			
		default:
			return new MushroomBoy();
		}
	}
}
